activemq-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christopher L. Shannon (JIRA)" <j...@apache.org>
Subject [jira] [Reopened] (AMQ-5932) ActiveMQ-OSGI should not depend on spring-dm
Date Mon, 01 Aug 2016 16:39:20 GMT

     [ https://issues.apache.org/jira/browse/AMQ-5932?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Christopher L. Shannon reopened AMQ-5932:
-----------------------------------------

Reopening because this technically isn't fixed until Spring DM is full removed, AMQ-6301 is
just a bandaid. 

We will need Camel 2.18 to fix this but that requires Java 8 so the earliest we could do this
would most likely be version 2.15.0

> ActiveMQ-OSGI should not depend on spring-dm
> --------------------------------------------
>
>                 Key: AMQ-5932
>                 URL: https://issues.apache.org/jira/browse/AMQ-5932
>             Project: ActiveMQ
>          Issue Type: New Feature
>          Components: OSGi/Karaf
>    Affects Versions: 5.13.0
>            Reporter: Charlie Mordant
>
> Hi,
> Spring-dm is deprecated for a long time, also it has a strong dependency to spring-3,
so all newest spring 4 versions are difficult to use, and that is blocker for some other frameworks
(i.e. thinking about cxf, spring-data).
> Also amq 5.9 didn't depend on spring-dm so it should be possible to get rid of this dep.
> Regards,
> Charlie



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message